Henning Fischer Henning Fischer - 7 months ago 24
Ruby Question

How to handle different versions (Bourbon) of ruby gems on my Mac

I installed the bourbon gem on my OSX machine some weeks ago:

gem install bourbon


Now i have problems with bourbon in a web project (gulp says "mixins not found") so I wanted to uninstall and re-install the gem. So I typed:

$ gem uninstall bourbon


Surprisingly I get the following message in the terminal:

Select gem to uninstall:
1. bourbon-4.2.6
2. bourbon-5.0.0.beta.3
3. bourbon-5.0.0.beta.4
4. All versions


Hm? It seems that there are different versions of the gem installed and doing

bourbon install


in my project folder installs the latest beta (which lacks some SASS mixins I think). I thought when I install or update a gem that the older gems are deleted or overwritten. So how to handle this the best?

Answer

run this:

$ gem uninstall bourbon

Select 4 to uninstall all the versions. Then install the gem again using the command.

gem install bourbon -v 4.2.6

Hopefully it will help.